=== debian/changelog ===
binutils-m68hc1x (2.14.90.0.7-2) unstable; urgency=medium

  * Updated example program.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Apr 2004 19:03:03 +0200

binutils-m68hc1x (2.14.90.0.7-1) unstable; urgency=low

  * Binutils updated to 2.14.90.0.7.
  
 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 Apr 2004 23:44:02 +0200

binutils-m68hc1x (2.14.90.0.4-2) unstable; urgency=low

  * Fixed typo in the Build-Depends field (closes: bug#212053).
  * Bumped standards-version to 3.6.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 22 Sep 2003 01:09:28 +0200

binutils-m68hc1x (2.14.90.0.4-1) unstable; urgency=low

  * Binutils updated to 2.14.90.0.4.
  * Removed flex and GCC 3.3 patches.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 29 Jun 2003 15:42:00 +0200

binutils-m68hc1x (2.13-8) unstable; urgency=low

  * Patch sources to fix flex bug as toolchain-source is still not patched.
  * GCC 3.3 fixes.
  * Set policy compliance to 3.5.10.

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  5 Jun 2003 19:46:34 +0200

binutils-m68hc1x (2.13-7) unstable; urgency=low

  * Fixed undefined symbol cpu6812s (closes: bug#187837).
  * Depends on ${misc:Depends}.
  * Uses debian/compat instead of DH_COMPAT.
  * Removed call to dh_undocumented.
  * Bumped standards-version to 3.5.9. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  7 Apr 2003 12:27:29 +0200

binutils-m68hc1x (2.13-6) unstable; urgency=low

  * Added some example code to /usr/share/doc/binutils-m68hc1x.
  * Standards-Version bumped to 3.5.8.
  * Fixed description.

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  8 Jan 2003 14:16:38 +0100

binutils-m68hc1x (2.13-5) unstable; urgency=low

  * Corrected a typo in /usr/bin/m68hc12-as causing all system resources to be
    eaten. (closes: bug#169347). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 16 Nov 2002 15:27:45 +0100

binutils-m68hc1x (2.13-4) unstable; urgency=low

  * Not so strict dependency on toolchain-source.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Oct 2002 08:11:12 +0200

binutils-m68hc1x (2.13-3) unstable; urgency=low

  * Merged binutils-m68hc11 and binutils-m68hc12 into binutils-m68hc1x.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Oct 2002 02:55:06 +0200

binutils-m68hc1x (2.13-2) unstable; urgency=low

  * Initial Debian upload (closes: bug#165823).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 22 Oct 2002 21:23:32 +0200

binutils-m68hc1x (2.13-1) unstable; urgency=low

  * Initial release.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 21 Oct 2002 01:54:09 +0200

Local variables:
mode: debian-changelog
End:
