=== debian/control ===
Source: binutils-m68hc1x
Section: devel
Priority: extra
Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.0.0), autoconf2.13, bison, flex, gettext, texinfo, toolchain-source (>= 3.3-1), tar (>= 1.13.18), bzip2, gzip

Package: binutils-m68hc1x
Section: devel
Architecture: any
Priority: extra
Conflicts: binutils-m68hc11, binutils-m68hc12
Replaces: binutils-m68hc11, binutils-m68hc12
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils (>= 2.14-1)
Description: Binary utilities that support Motorola's 68HC11/12 targets
 The programs in this package are used to assemble, link and manipulate binary 
 and object files for the Motorola's 68HC11/12 architecture. This package is 
 primarily for 68HC11/12 developers and cross-compilers and is not needed by 
 normal users or developers.
