## binutils-m68hc1x 2.18

=== debian/changelog ===
binutils-m68hc1x (1:2.18-9) unstable; urgency=medium

  * QA upload
  * Removed unneeded gasp manpage since gasp was eliminated as a distinct
    binary somewhere around 2002 (Closes: #857210)

 -- Paul Gevers <elbrus@debian.org>  Sat, 18 Mar 2017 12:21:41 +0100

binutils-m68hc1x (1:2.18-8) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible by passing -n to gzip.
    (Closes: #835263)
  * Bump Standards-Version to 3.9.8.
  * Move debhelper compat level 9.
  * Move to "3.0 (quilt)" source format
  * Drop duplicated "Priority" and "Section" entries in debian/control.
  * Use dh_prep over dh_clean -k

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2016 13:00:48 +0100

binutils-m68hc1x (1:2.18-7) unstable; urgency=medium

  * QA upload.
  * debian/rules: Do not include the "example" directory itself
    in example.tar.gz.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Aug 2015 16:21:52 +0200

binutils-m68hc1x (1:2.18-6) unstable; urgency=medium

  * QA upload.
  * debian/rules: Force members of example.tar.gz to have mode 644.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Aug 2015 23:56:26 +0200

binutils-m68hc1x (1:2.18-5) unstable; urgency=medium

  * QA upload.
  * Fix broken 02_missing_makeinfo.patch to fix FTBFS with texinfo 6.
    (Closes: #790689)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jul 2015 21:58:00 +0200

binutils-m68hc1x (1:2.18-4) unstable; urgency=medium

  * QA upload.
  * Run autoreconf to enable builds on arm64 and other new architectures
    - Closes: #727329, #744415
  * Make builds reproducible, closes: #777317
    - Thanks Chris Lamb
  * Drop obsolete XS-DM-Upload-Allowed: field
  * Add build-arch and build-arch-indep targets

 -- Riku Voipio <riku.voipio@linaro.org>  Tue, 28 Apr 2015 09:33:49 +0300

binutils-m68hc1x (1:2.18-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - fix target order to fix FTBFS 
  * debian/patches/
    - update 02_missing_makeinfo.patch to deal with texinfo 5.x and fix FTBFS
      (Closes: #712345)
    - add debian/patches/04_fix_texinfo_warning.patch to fix another FTBFS

 -- Hideki Yamane <henrich@debian.org>  Thu, 10 Oct 2013 20:43:43 +0900

binutils-m68hc1x (1:2.18-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS format security problems.": add patch
    03_fix-format-security.patch from peter green that adds the missing
    format arguments.
    Closes: #651906

 -- gregor herrmann <gregoa@debian.org>  Wed, 04 Jan 2012 19:30:15 +0100

binutils-m68hc1x (1:2.18-3.1) unstable; urgency=low

  * Non maintainer upload.
  * Configure with --disable-werror. Closes: #625313. LP: #749220.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Aug 2011 10:41:04 +0200

binutils-m68hc1x (1:2.18-3) unstable; urgency=low

  [ Arthur Loiret ]
  * debian/patches/02_missing_makeinfo: Add (closes: #453197).
  * Fix debian/watch (closes: #449911).
  * debian/control: Update Standards-Version (no changes).

  [ Pierre Habouzit ]
  * debian/control: DM-Upload-Allowed set to yes.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Sun, 30 Dec 2007 03:03:57 +0100

binutils-m68hc1x (1:2.18-2) unstable; urgency=low

  * debian/rules: change objcopy hardlink to symlink
  * debian/overrides: update for objcopy

 -- Arthur Loiret <arthur.loiret@gmail.com>  Mon, 22 Oct 2007 23:18:04 +0200

binutils-m68hc1x (1:2.18-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - enable targets m68hc11,m68hc12.
    - Small updates in packaging.
  * 01_binutils_m68hc11.patch: Update.
  * 02_fix_ftbfs.patch: Remove, fixed upstream.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Mon, 22 Oct 2007 15:28:58 +0200

binutils-m68hc1x (1:2.17-1) unstable; urgency=low

  * Adopting package (Closes: #412607)
  * New Upstream release
  * Update compat to 5, set debhelper required version to 5 in Build-Depends
  * Update Standards-Version to 3.7.2
  * debian/copyright: update FSF address, update upstream download addresses
  * debian/overrides: add objdump-file-in-unusual-dir override
  * Remove patches:
    + binutils-2.15-gcc-4.0.diff has been applied upstream
    + binutils-2.15-m68hc1x-20040801.diffs has been part-applied upstream
  * Add debian/patches/01_binutils_m68hc11.patch to replace previous patch
  * Add debian/patches/02_fix_ftbfs.patch to fix ftbfs
  * debian/rules: partial rewrite of the build system
  * Add debian/watch

 -- Arthur Loiret <arthur.loiret@gmail.com>  Wed, 08 Aug 2007 11:07:16 +0000

binutils-m68hc1x (1:2.15+3.1-1) unstable; urgency=low

  * New upstream version, still based on binutils-2.15. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  8 Mar 2006 01:43:30 +0100

binutils-m68hc1x (1:2.15+3.0.1-2) unstable; urgency=low

  * Fixes for gcc-4.0. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  7 Jul 2005 22:13:14 +0200

binutils-m68hc1x (1:2.15+3.0.1-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 12 Jun 2005 17:30:13 +0200

binutils-m68hc1x (1:2.15+3.0-1) unstable; urgency=low

  * New upstream version, still based on binutils-2.15.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 31 Jan 2005 06:58:37 +0100

binutils-m68hc1x (1:2.15+2.92-1) unstable; urgency=high

  * Switched to 2.92 pre-release, ie binutils-2.15 + some patches.
  * Urgency set to high as the whole toolchain has to switch to 2.92
    pre-release to fix an RC bug on gcc-m68hc1x.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 11 Sep 2004 14:41:47 +0200

binutils-m68hc1x (1:2.12.1-2) unstable; urgency=medium

  * Don't install /usr/include files (closes: bug#265314).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 12 Aug 2004 18:50:24 +0200

binutils-m68hc1x (1:2.12.1-1) unstable; urgency=medium

  * toolchain-source is not really suitable for embedded targets. Moreover
    such targets does not need to follow the main toolchain.
  * Using binutils version 2.12.1 + m68hc1x maintainer patches, which is the
    recommended version for this target.


