=== debian/control ===
Source: binutils-m68hc1x
Section: devel
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), autoconf (>= 2.13), bison, flex, gettext, texinfo, bzip2, autotools-dev

Package: binutils-m68hc1x
Architecture: any
Conflicts: binutils-m68hc11, binutils-m68hc12
Replaces: binutils-m68hc11, binutils-m68hc12
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binary utilities that support Motorola's 68HC11/12 targets
 The programs in this package are used to assemble, link and manipulate binary
 and object files for the Motorola's 68HC11/12 architecture. This package is
 primarily for 68HC11/12 developers and cross-compilers and is not needed by
 normal users or developers.
