## binutils-m68hc1x 2.35.1

=== debian/changelog ===
binutils-m68hc1x (1:2.35.1-3) unstable; urgency=medium

  * copyright: Generated by "debmake -cc" and cleaned up.

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Thu, 03 Dec 2020 20:59:09 +0100

binutils-m68hc1x (1:2.35.1-2) unstable; urgency=medium

  * control: Corrected the Maintainer mail address
  * README.Debian: Rephrased the README
  * control: Added the fields Vcs-*

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sun, 08 Nov 2020 20:30:23 +0100

binutils-m68hc1x (1:2.35.1-1) unstable; urgency=medium

  * New upstream version 2.35.1
  * New maintainer (Closes: #739225)
  * Update the debian packaging (Closes: #957044)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sun, 08 Nov 2020 15:08:23 +0100
