=== debian/control ===
Source: binutils-m68hc1x
Section: devel
Priority: optional
Maintainer: Vincent Smeets <Vincent.VSmeets@gmail.com>
Vcs-Browser: https://salsa.debian.org/VSmeets/binutils-m68hc1x
Vcs-Git: https://salsa.debian.org/VSmeets/binutils-m68hc1x.git
Build-Depends: debhelper-compat (= 13), bison, bzip2, flex, gettext, texinfo, zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://www.gnu.org/software/binutils/
Rules-Requires-Root: no

Package: binutils-m68hc1x
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binary utilities that support Motorola's 68HC11/12 targets
 The programs in this package are used to assemble, link and manipulate binary
 and object files for the Motorola's 68HC11/12 architecture. This package is
 primarily for 68HC11/12 developers and cross-compilers and is not needed by
 normal users or developers.
