=== debian/watch ===

# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic)
opts="pgpmode=auto" \
	https://ftp.gnu.org/gnu/binutils/ \
	binutils@ANY_VERSION@@ARCHIVE_EXT@

# Uncomment to examine an FTP server
#ftp://ftp.example.com/pub/binutils-m68hc1x-(.*)\.tar\.gz debian uupdate

# SourceForge hosted projects
# http://sf.net/binutils-m68hc1x/ binutils-m68hc1x-(.*)\.tar\.gz debian uupdate

# GitHub hosted projects
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
#   https://github.com/<user>/binutils-m68hc1x/tags \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

# PyPI
# https://pypi.debian.net/binutils-m68hc1x/binutils-m68hc1x-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git
# opts="mode=git" http://git.example.com/binutils-m68hc1x.git \
#   refs/tags/v([\d\.]+) debian uupdate

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html binutils-m68hc1x-(.*)\.tar\.gz
