## binutils-m68hc1x 3.0.1build1

=== debian/changelog ===
binutils-m68hc1x (1:3.0.1build1) jammy; urgency=medium

  * Build using binutils 2.38.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Mar 2022 11:12:42 +0100

binutils-m68hc1x (1:3.0.1) unstable; urgency=medium

  * Add DH_COMPAT=10 as needed after autoconf2.69 version 2.69-3.
  * Recreate man page for c++filt.1

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sun, 26 Sep 2021 16:06:10 +0200

binutils-m68hc1x (1:3) unstable; urgency=medium

  * Repackaged as a native package based on binutils-source (Closes: #982848)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Thu, 16 Sep 2021 18:59:20 +0200

binutils-m68hc1x (1:2.36.1-1) unstable; urgency=medium

  * New upstream version 2.36.1
  * Rediff patches
  * not-installed: usr/lib
  * control: Policy 4.5.1
  * copyright: debmake -k

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sun, 07 Feb 2021 17:21:55 +0100

binutils-m68hc1x (1:2.35.1-4) unstable; urgency=medium

  * Drop 0002-Skip-test-errors.patch: Superseded
  * New upstream version 2.35.1
  * Merge debian with upstream branch

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sat, 06 Feb 2021 16:56:53 +0100
