=== debian/control ===
Source: binutils-m68hc1x
Section: devel
Priority: optional
Maintainer: Vincent Smeets <Vincent.VSmeets@gmail.com>
Vcs-Browser: https://salsa.debian.org/VSmeets/binutils-m68hc1x
Vcs-Git: https://salsa.debian.org/VSmeets/binutils-m68hc1x.git
Build-Depends:
 debhelper-compat (= 13),
 autoconf2.69,
 binutils-source,
 bison,
 chrpath,
 flex,
 gettext,
 lsb-release,
 texinfo,
 xz-utils,
 zlib1g-dev
Standards-Version: 4.5.1
Homepage: https://www.gnu.org/software/binutils/
Rules-Requires-Root: no

Package: binutils-m68hc1x
Architecture: any
Multi-Arch: foreign
Built-Using: ${Built-Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils-common
Description: GNU binary utilities for Motorola's 68HC11/12 targets
 This package provides GNU assembler, linker and binary utilities for
 a specific hardware and operating system combination.  You don’t need
 it unless you plan to cross-compile programs for it.
 .
 This package targets the Motorola's 68HC11/12 architecture.
