## binutils-m68hc1x 3.1

=== debian/changelog ===
binutils-m68hc1x (1:3.1) unstable; urgency=medium

  * Apply provided patches
  * Added patch 0001-mbstowcs-convert-to-destination.patch (Closes: #1016258)
  * Added patch 0002-test-pexecute-correct-buffer-size.patch
  * Revert: Recreate man page for c++filt.1
  * copyright: Removed superfluous file pattern

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Fri, 05 Aug 2022 21:04:13 +0200

binutils-m68hc1x (1:3.0.2) unstable; urgency=medium

  * Use the correct tar filename (Closes: #1013607)
  * Enable tests
  * Standards version set to 4.6.1

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Fri, 24 Jun 2022 16:45:32 +0200
