=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
  flex,
  gettext,
  lsb-release,
+ quilt,
  texinfo,
  xz-utils,
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://www.gnu.org/software/binutils/
 Rules-Requires-Root: no
