## binutils-m68hc1x 3.5.0

=== debian/changelog ===
binutils-m68hc1x (1:3.5.0) unstable; urgency=medium

  * Patch: Correcting typo's (removed) (Closes: #1026638)
  * Source: Removed lintian-overrides
  * Patch: fix concurrent build

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Wed, 18 Jan 2023 18:57:48 +0100

binutils-m68hc1x (1:3.4.0) unstable; urgency=medium

  * Patch: Correcting typo's
  * lintian: Assembly instructions are no spelling errors.

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Wed, 04 Jan 2023 20:05:24 +0100

binutils-m68hc1x (1:3.3) unstable; urgency=medium

  * Corrected lintian errors
  * Standards-Version: 4.6.2 (no changes)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Wed, 21 Dec 2022 11:26:27 +0100

binutils-m68hc1x (1:3.2) unstable; urgency=medium

  * Removed patch 0001. Resolved by upstream. (Closes: #1026638)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Tue, 20 Dec 2022 20:48:47 +0100
