## binutils-m68hc1x 3.5.2

=== debian/changelog ===
binutils-m68hc1x (1:3.5.2) unstable; urgency=medium

  * Apply the fix from #1090761 (Closes: #1090194)
  * Standards-Version: 4.7.0 (no changes needed)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Fri, 20 Dec 2024 16:49:25 +0100

binutils-m68hc1x (1:3.5.1) unstable; urgency=medium

  * Removed *-build-with-mktemp patch (Closes: #1042317)
  * lintian: Ignore info messages

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sat, 05 Aug 2023 14:41:24 +0200
