## binutils-m68hc1x 3.5.3

=== debian/changelog ===
binutils-m68hc1x (1:3.5.3) unstable; urgency=medium

  * Revert "Apply the fix from #1090761" (Closes: #1093320)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sat, 18 Jan 2025 20:22:38 +0100
