=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  texinfo,
  xz-utils,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.gnu.org/software/binutils/
 Rules-Requires-Root: no
