=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 binutils_source_name	= binutils-source
 binutils_source_version	!= dpkg-query -f'$${source:Upstream-Version}' -W $(binutils_source_name)
-binutils_source_tar	= /usr/src/binutils/binutils-$(binutils_source_version).tar.xz
+binutils_source_tar	!= dpkg-query -L $(binutils_source_name) | grep 'binutils-[^/]*\.tar.*'
 binutils_source_dir	= src
 build_using		!= dpkg-query -f '$${source:Package} (= $${source:Version})' -W $(binutils_source_name)
 target			= m68hc11
@@ -24,7 +24,7 @@
 		--directory="$(binutils_source_dir)" \
 		--strip-components=1 \
 		--file="$(binutils_source_tar)"
-	rm --force $(binutils_source_dir)/binutils/doc/cxxfilt.man
+	cd "$(binutils_source_dir)"; QUILT_PATCHES=../debian/patches quilt push -a
 	rm --force --recursive $(binutils_source_dir)/zlib
 
 override_dh_autoreconf:
@@ -32,7 +32,7 @@
 	then \
 		AUTORECONF_OPTS='-v'; \
 	fi; \
-	AUTORECONF_DIRS=`cd $(binutils_source_dir) && find . -name configure.ac -o -name configure.in`; \
+	AUTORECONF_DIRS=`cd $(binutils_source_dir) && find . ! -path './.pc/*' \( -name configure.ac -o -name configure.in \)`; \
 	dh_autoreconf autoreconf2.69 -- \
 		--force \
 		--include=`pwd`/$(binutils_source_dir)/config \
@@ -49,8 +49,6 @@
 		--enable-deterministic-archives \
 		--enable-targets=$(enable_targets)
 
-override_dh_auto_test:
-
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
