## binutils-m68hc1x 3.5.3build1

=== debian/changelog ===
binutils-m68hc1x (1:3.5.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Jan 2026 20:38:32 +0000
